<?xml version="1.0"?>

<!--
This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hplj9000.cfg</config_file>
                <config_file_version>1.0.0.7</config_file_version>
                <config_timestamp/>
                <!-- 17 Jul, 2003 -->
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <current>
                <physical/>
                <printing>
                </printing>
                <custom/>
            </current>
            <factory>
                <physical resource_id="18">

                    <!-- The bundles feature needs to be first in the physical features list
                         because of a defect found when exporting from the driver.  If features
                         with forced constraints are not in the right order, there is good
                         chance that the forced item macro will cause an unwanted change to
                         the feature that is being forced to change. -->

                    <!-- Bundles -->
                    
                    <!-- Typical Physical Features -->
                    <!-- PrinterMemory -->
                    <feature resource_id="787" caption_id="10052" typical="TRUE" range_low="64" range_hi="384">
                        Memory
                        <current_option>64</current_option>
                    </feature>
                    <!-- AccessoryOutputBins -->
                    <feature resource_id="500" caption_id="10049" typical="true">
                        AccessoryOutputBins
                        <current_option>NotInstalled</current_option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                        <option resource_id="504">
                            C8084A
                        </option>
                        <option resource_id="505">
                            C8085A
                        </option>
                        <option resource_id="506">
                            C8088A
                        </option>
                    </feature>
                    <!-- Envelope Feeder -->
                    
                    <!-- OptionalPaperSource -->
                    <feature resource_id="710" caption_id="10086" typical="TRUE">
                        OptionalPaperSources
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                            <constraint>OPS_None_InputBin_Forbid</constraint>
                            <constraint>OPS_None_Set</constraint>
                        </option>
                        
                        <option resource_id="734">
                            C8531A
                            <!-- Tray_2000 -->
                            <constraint>OPS_Tray_1500_InputBin_Forbid</constraint>
                            <constraint>OPS_Tray_2000_Set</constraint>
                        </option>
                    </feature>
                    <!-- PrinterHardDisk -->
                    <feature resource_id="663" caption_id="10050" typical="TRUE">
                        PrinterHardDisk
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="10048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>DuplexUnit_Duplex</constraint>
                        </option>
                    </feature>
                    <!-- Advanced Features -->
                    <!-- Tray1 -->
                    <feature>
                        Tray1
                                    <current_option>NotInstalled</current_option>
                        <option>
                            NotInstalled
                            <constraint>ManualFeed_NotSet</constraint>
                        </option>
                        <option>
                            Installed
                        </option>
                    </feature>

                    <!-- Tray4 -->
                    <feature editable="FALSE">
                        Tray4
                                    <current_option>NotInstalled</current_option>
                        <option>
                            NotInstalled
                        </option>
                        <option>
                            Tray4_2000
                            <constraint>Tray4_500_Tray3</constraint>
                        </option>
                    </feature>
                    
                    <!-- DeviceIsMopier -->
                    <feature resource_id="668" caption_id="10100">
                        DeviceIsMopier
                        <current_option>Installed</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- JobRetention -->
                    <feature resource_id="997" caption_id="10051">
                        JobRetention
                        <current_option>Enabled</current_option>
                        <option resource_id="6">
                            Enabled
                            <constraint>JobRetention_Enabled_Hardware</constraint>
                        </option>
                        <option resource_id="7">
                            Disabled
                        </option>
                    </feature>
                </physical>
                <!-- Printing Features -->
                <printing resource_id="17">

                    <!-- The OuputBin feature needs be defined before the StaplerChoice feature
                         because of the foced items / export issue decribed above with the
                         bundles feature. -->

                    <!-- OutputBin -->
                    <!-- Typical Features - REVERSE ORDER FROM DISPLAY -->
                    <!-- InputBin -->
                    <feature resource_id="400" caption_id="10018" typical="TRUE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
                        <option resource_id="401">
                            ManualFeed
                            <constraint>Tray1_Installed</constraint>


                        </option>
                        <option resource_id="408">
                            Tray1
                            <constraint>Tray1_Installed</constraint>
    
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint>InputBin_Tray2_Size</constraint>
                            <constraint>InputBin_Tray_Type</constraint>
                        </option>
                        <option resource_id="410">
                            Tray3
                            <constraint>InputBin_Tray3_500_Size</constraint>
                            <constraint>InputBin_Tray_Type</constraint>
                        </option>
                        <option resource_id="427">
                            Tray4
                            <constraint>InputBin_Tray4_1500</constraint>
                            <constraint>InputBin_Tray4_1500_Size</constraint>
                            <constraint>InputBin_Tray4_Type</constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="425">
                            AUTO
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="570">
                            CARDSTOCK
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>MediaType_LABELS_Duplex</constraint>
                            <constraint>MediaType_LABELS_InputBin</constraint>
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>MediaType_TRANSPARENCY_Duplex</constraint>
                            <constraint>MediaType_TRANSPARENCY_InputBin</constraint>
                            <constraint>MediaType_TRANSPARENCY_OutputBin</constraint>
                            <constraint>MediaType_StackerStapler</constraint>
                        </option>
                        <option resource_id="555">
                            ROUGH
                        </option>
                    </feature>
                    <!-- StaplerChoice -->
                    <!-- PaperSize-->
                    <feature resource_id="200" caption_id="10012" typical="TRUE">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>PaperSize_LETTER_InputBin</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>PaperSize_LEGAL_InputBin</constraint>
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                        </option>
                        <option resource_id="217">
                            A4
                            <constraint>PaperSize_A4_InputBin</constraint>
                        </option>
                        <option resource_id="219">
                            A5
                            <constraint>PaperSize_A5_InputBin</constraint>
                            <constraint>PaperSize_A5_OutputBin</constraint>
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                                                        <constraint>PaperSize_Envelope_Tray1</constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                                                        <constraint>PaperSize_Envelope_Tray1</constraint>
                        </option>
                        <option resource_id="242">
                            ENV_B5
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                                                        <constraint>PaperSize_Envelope_Tray1</constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                                                        <constraint>PaperSize_Envelope_Tray1</constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint>PaperSize_ENV_InputBin</constraint>
                            <constraint>PaperSize_ENV_Duplex</constraint>
                            <constraint>PaperSize_ENV_OutputBin</constraint>
                                                        <constraint>PaperSize_Envelope_Tray1</constraint>
                        </option>

                        <option resource_id="221">
                            B5_JIS
                        </option>
                        <option resource_id="274">
                            DBL_JAPANESE_POSTCARD
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_InputBin</constraint>
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_Duplex</constraint>
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_OutputBin</constraint>
                                                        <constraint>PaperSize_Envelope_Tray1</constraint>
                        </option>
                        <option resource_id="327">
                            EXECUTIVE_JIS
                        </option>
                        <option resource_id="208">
                            16K
                            <constraint>PaperSize_16K_InputBin</constraint>
                            <constraint>PaperSize_16K_Duplex</constraint>
                            <constraint>PaperSize_16K_OutputBin</constraint>
                        </option>
                                                <option resource_id="225">
                            11X17
                        </option>                        
                                                <option resource_id="216">
                            A3
                        </option>
                                                <option resource_id="220">
                                                        B4_JIS
                                                </option>
                        <option resource_id="354" caption_id="">
                            8K
                        </option>
                    </feature>
                    <!-- EconoMode -->
                    <feature resource_id="782" caption_id="10020">
                        EconoMode
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option> 
                    </feature>
                    <!-- Print Quality -->
                    <feature resource_id="760" caption_id="10019" typical="TRUE">
                        PrintQuality
                        <current_option>Default</current_option>
                        <option resource_id="3">
                            Default
                        </option>
                        <option resource_id="768">
                            Best
                        </option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option resource_id="" editable="FALSE">
                            Custom
                        </option>
                    </feature>
                    <!-- Orientation -->
                    <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Duplex_MediaType</constraint>
                            <constraint>Duplex_PaperSize</constraint>
                            <constraint>Duplex_DuplexUnit</constraint>
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature>
                    <!-- Advanced Features - SAME ORDER AS DISPLAY -->
                    <!-- PageOrder -->
                    
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                    
                    <!-- BookletPrintingChoice -->
                    
                    <!-- BookletTargetSize -->
                    
                    <!-- TTAsBitmapSetting-->
                    
                    <!-- TextAsBlack-->
                    
                    <!-- FitToOtherSizeChoice -->
                    
                    <!-- ScalePageChoice -->
                    
                    <!-- ScaleChoice -->
                    
                    <!-- Watermarks -->
                    
                    <!-- Copies -->
                    
                    <!-- Halftone (UNIDRV)-->
                    
                    <!-- LanguageLevel (PSCRIPT) -->
                    
                    <!-- NegativePrint (PSCRIPT)-->
                    
                    <!-- MirrorPrint (PSCRIPT)-->
                    
                </printing>
                <custom/>
                <!-- CONSTRAINT DEFINITIONS -->
                <constraints>
                    <!-- PaperSize Constraints -->
                    <!-- PaperSize _ InputBin Constraints: -->
                                        <constraint>
                        PaperSize_Envelope_Tray1
                        <forbids>
                            <item>physical/Tray1 == NotInstalled</item>
                        </forbids>
                    </constraint>



                    <constraint>
                        PaperSize_LETTER_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_LEGAL_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_A5_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_A4_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_JIS_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_InputBin
                        <forbids>
                            <item>printing/InputBin == tray2</item>
                            
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <!-- PaperSize _ Duplex Constraints: -->
                    <constraint>
                        PaperSize_ENV_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_JIS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- PaperSize _ OutputBin Constraints -->
                    <constraint>
                        PaperSize_EXECUTIVE_OutputBin
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_A5_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                            <item>printing/OutputBin == Stacker</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_B5_JIS_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <!-- InputBin Constraints -->
                    <!-- InputBin _ PaperSize Constraints -->
                    <!-- Covers InputBin -->
                    <constraint>
                        InputBin_Tray2_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_1500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2440</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_1500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_500
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item>physical/OptionalPaperSources == Q2444</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray_Type
                        <forbids>
                            <item>printing/MediaType == labels</item>
                            <item>printing/MediaType == Envelope</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        InputBin_Tray4_Type
                        <forbids>
                            <item>printing/MediaType == Labels</item>
                            <item>printing/MediaType == Transparency</item>
                            <item>printing/MediaType == Envelope</item>
                        </forbids>
                    </constraint>
                                <constraint>
                                    InputBin_Tray4_1500
                                    <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item>physical/OptionalPaperSources == Q2444</item>
                            <item>physical/OptionalPaperSources == Q2440_Q2440</item>
                                    </forbids>
                                </constraint>
                    <constraint>
                        InputBin_Tray4_1500_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_EnvFeed_Size
                        <forbids>
                            <item>printing/PaperSize == LETTER</item>
                            <item>printing/PaperSize == LEGAL</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A4</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <!-- InputBin _ MediaType Constraints -->
                    <!-- MediaType _ InputBin Constraints -->
                    <constraint>
                        MediaType_TRANSPARENCY_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <!-- MediaType _ Duplex Constraints -->
                    <constraint>
                        MediaType_CARDSTOCK_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- <constraint>
                        MediaType_HEAVY_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint> -->
                    <constraint>
                        MediaType_LABELS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_TRANSPARENCY_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_ENVELOPE_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- MediaType _ OutPutBin Constraints-->
                    <constraint>
                        MediaType_ENVELOPE_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker</item>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_TRANSPARENCY_OutputBin
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <!--MediaType/StackerStapler constraint-->
                    <constraint>
                        MediaType_StackerStapler
                        <forbids>
                            <item>printing/OutputBin == Stacker-Stapled</item>
                        </forbids>
                    </constraint>
                    <!-- Duplexing Constraints -->
                    <!-- Duplex MediaType Constraints -->
                    <constraint>
                        Duplex_MediaType
                        <forbids>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                        </forbids>
                    </constraint>
                    <!-- Duplexing Constraints -->
                    <!-- Duplex _ PaperSize Constraints -->
                    <constraint>
                        Duplex_PaperSize
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <!-- Duplex Hardware Constraints -->
                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        ManualFeed_NotSet
                        <forbids>
                            <item>Printing/Inputbin  == ManualFeed</item>
                        </forbids>
                    </constraint>

                    <!-- Duplex BookletPrinting Constraints -->
                    <constraint>
                        Duplex_OFF_BookletPrintingChoice
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin Constraints -->
                    <!-- OutputBin Hardware Constraints -->
                    <constraint>
                        OutputBin_Stacker
                        <requires>
                            <item>physical/AccessoryOutputBins == Q2442</item>
                        </requires>
                        <requires>
                            <item>physical/AccessoryOutputBins == Q2443</item>
                        </requires>
                    </constraint>
                    <constraint>
                        OutputBin_Stacker_Stapled
                        <requires>
                            <item>physical/AccessoryOutputBins == Q2443</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin _ PaperSize Constraints -->
                    <constraint>
                        OutputBin_Stacker_PaperSize
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OutputBin_Stacker_Stapled_PaperSize
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <!-- OutputBin _ MediaType Constraints -->
                    <constraint>
                        OutputBin_Stacker_MediaType
                        <forbids>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OutputBin_Stacker_Stapled_MediaType
                        <forbids>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                        </forbids>
                    </constraint>
                    <!-- OutputBin _ StaplerChoice Constraints -->
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_Stapled_StaplerChoice
                        <requires>
                            <item force="TRUE">printing/StaplerChoice == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_StaplerChoice
                        <requires>
                            <item force="TRUE">printing/StaplerChoice == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Top_StaplerChoice
                        <requires>
                            <item force="TRUE">printing/StaplerChoice == FALSE</item>
                        </requires>
                    </constraint>
                    <!-- OutputBin _ StaplerChoice_Dummy Constraints -->
                    <!-- Sets temorary feature to allow constraints to work for -->
                    <!-- OutputBin and StaplerChoice in both directions -->
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_Stapled_StaplerChoice_Dummy
                        <requires>
                            <item force="TRUE">printing/StaplerChoice_Dummy == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Stacker_StaplerChoice_Dummy
                        <requires>
                            <item force="TRUE">printing/StaplerChoice_Dummy == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OutputBin_Top_StaplerChoice_Dummy
                        <requires>
                            <item force="TRUE">printing/StaplerChoice_Dummy == FALSE</item>
                        </requires>
                    </constraint>
                    <!-- StaplerChoice _ OutputBin Constraints -->
                    <constraint>
                        StaplerChoice_TRUE_StaplerChoice_Dummy
                        <requires>
                            <item>printing/StaplerChoice_Dummy == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        StaplerChoice_FALSE_StaplerChoice_Dummy
                        <forbids>
                            <item>printing/StaplerChoice_Dummy == TRUE</item>
                        </forbids>
                    </constraint>
                    <!-- Scaling Constraints -->
                    <constraint>
                        FitToOtherSizeChoice_FitToOtherSize
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ScaleChoice_100
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <!-- JobRetention Hardware Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/Memory (ge) 32</item>
                        </requires>
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>
                    <!-- DeviceIsMopier Constraints -->
                    <constraint>
                        DeviceIsMopier_TRUE_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                            <item>physical/Memory (ge) 64</item>
                        </requires>
                    </constraint>
                    <!-- Envelope Feeder Constraints -->
                    <constraint>
                        InputBin_EnvFeed_Hardware
                        <requires>
                            <item>physical/EnvFeeder == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        EnvFeeder_NotInstalled_InputBin
                        <forbids>
                            <item>printing/InputBin == EnvFeed</item>
                        </forbids>
                    </constraint>
                    <!-- Booklet Printing Constraints -->
                    <constraint>
                        BookletPrintingChoice_Duplex
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_FitToOtherSizeChoice
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_ScaleChoice
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_PaperSize
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletPrintingChoice_BookletTargetSize_Set
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                            <item force="TRUE">printing/BookletTargetSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                            <item force="TRUE">printing/BookletTargetSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                            <item force="TRUE">printing/BookletTargetSize == A4</item>
                        </requires>
                    </constraint>
                    <!-- Bundles / OPS / Tray Constraints and Macros -->
                    <constraint OnExportOnly="TRUE">
                        Bundle_Tray3_Default
                        <!-- 500 Sheet Tray Bundles - TN / DTN -->
                        <!-- Remove the 500 Sheet Tray and leave cfg in valid state -->
                        <requires>
                            <item>physical/OptionalPaperSources == Q2440</item>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == Q2440_Q2440</item>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440</item>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == Q2444</item>
                            <item force="TRUE">physical/OptionalPaperSources == Q2444</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == None    </item>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                        <requires>
                            <item>physical/OptionalPaperSources == Q2440_Q2444</item>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_Default
                        <requires>
                            <item force="TRUE">physical/Memory == 48</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_64_Set
                        <requires>
                            <item force="TRUE">physical/Memory == 64</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Duplex_Unit_Default
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_OPS_TwoTrayOptions_Forbid
                        <forbids>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440_Q2440</item>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440_Q2444</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_DuplexUnit_Set
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                            Bundle_Stacker_Set
                            <requires>
                                <item force="TRUE">physical/AccessoryOutputBins == Q2442</item>
                            </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                            Bundle_Stapler_Stacker_Set
                            <requires>
                                <item force="TRUE">physical/AccessoryOutputBins == Q2443</item>
                            </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_AccessoryOutputBins_Default
                        <requires>
                            <item force="TRUE">physical/AccessoryOutputBins == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_OPS_Tray_500_Set
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == Q2440</item>
                        </requires>
                    </constraint>
                    <!-- When an OPS is selected, set the correct Tray for
                                Mombi drivers -->
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray_500_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray_2000_Set
                        <requires>
                            <item force="TRUE">physical/Tray4 == Tray4_2000</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray3_500_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray4_500_Set
                        <requires>
                            <item force="TRUE">physical/Tray4 == Tray4_500</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray4_1500_Set
                        <requires>
                            <item force="TRUE">physical/Tray4 == Tray4_1500</item>
                        </requires>
                    </constraint>

                    <constraint OnExportOnly="TRUE">
                        Tray1_Installed
                        <forbids>
                            <item>physical/Tray1 == NotInstalled</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_None_Set
                        <requires>
                            <item force="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray_1500_Bundle_Forbid
                        <forbids>
                            <item force="TRUE">physical/Bundles == HP LaserJet 9000TN</item>
                            <item force="TRUE">physical/Bundles == HP LaserJet 9000DTN</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_None_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_1500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                            <item>printing/InputBin == Tray4_500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_2X500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_1500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray_500_1500_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3_1500</item>
                            <item>printing/InputBin == Tray4_500</item>
                        </forbids>
                    </constraint>
                </constraints>
            </factory>
            <export>
                <physical/>
                <printing/>
                <custom/>
            </export>
        </component>
    </software>
</device>
